Description

I recently had a request from a user of our Redmine installation which I think may be valuable to users of Redmine in general, so I

wanted to raise it as a feature request.

Our user wanted to be able to make a custom field mandatory, depending upon status.

So, when the status is changed to 'QA' for example, he wanted to make it such that a custom 'peer review completed by' field

becomes mandatory, but not for any other status (it would still exist for other status settings, but not be mandatory).

In the stated case scenario, this would force users to ensure a peer review was completed and someone noted as responsible for

this prior to QA processes beginning.

As far as I'm aware this isn't already a feature (we're using redmine 2.6.7.1 at this time).

Could this please be considered for future development?

History

#1 - 2016-01-05 10:40 - Marius BĂLTEANU

This feature is already available in your Redmine version. Please see the /workflows/permissions section from the Administration page where you can

set the standard and custom fields optional/read-only/mandatory for each status by role and tracker.

#2 - 2016-01-05 11:49 - Steve Davis

Thanks for the feedback. I wasn't aware of this functionality..

However, I've set the Workflow field permissions for the relevant role and tracker, and the system is still allowing me to change the status to one

where the Custom Field is required,without it actually being required.

So - I'm a role of developer

It's a tracker of Story

For the role of developer and status '4-Ready for Test' the custom field 'Peer Reviewer' is 'required'

However, if I create a new 'Story' issue and save it as New, then update it an change it to '4-Ready for Test' the item can be saved without selecting

anything in the 'Peer Reviewer' dropdown list. I would also have expected a red asterisk to be displayed by the 'Peer Reviewer' dropdown box but I

don't see that either.

The options I actually see in the field permissions are

(a blank)

Read-only

Required

I'm assuming 'Required' means the field content is mandatory.

So, unless I'm missing a trick here, this functionality doesn't seem to be working. Can anyone confirm this?

#3 - 2016-01-05 12:03 - Marius BĂLTEANU

The user that you used for these tests is Administrator? If yes, this is the trick, the workflow is not applicable for Administrators (from my experience

with Redmine). Please try with a non administrator user.

#4 - 2016-01-05 13:35 - Steve Davis

Aha! I was aware of that potential issue, but I asked a non-admin to test it. Unfortunately they didn't test exactly what was needed.
On your advice I re-tested as a non-admin myself and it worked exactly as I would expect.

Thanks very much for your swift responses on this, it's very much appreciated!

#5 - 2016-01-05 13:35 - Steve Davis

- Status changed from New to Resolved

#6 - 2016-01-18 09:06 - Go MAEDA

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for the feedback. Closing.
